curl --request POST \
--url https://app.cryptoprocessing.com/api/v2/exchange/calculate \
--header 'Content-Type: application/json' \
--header 'X-Processing-Key: <api-key>' \
--header 'X-Processing-Signature: <x-processing-signature>' \
--data '
{
"sender_currency": "BTC",
"receiver_currency": "EUR",
"sender_amount": 0.02
}
'{
"data": {
"sender_currency": "BTC",
"sender_amount": "0.02000000",
"receiver_currency": "EUR",
"receiver_amount": "1546.28528889",
"fee_currency": "BTC",
"fee_amount": "0.00100000",
"price": "77314.26444450",
"ts_fixed": 1775172819,
"ts_release": 1775172879,
"fix_period": 60
}
}Get a fixed exchange quote for a specific amount, which can then be used with /exchange/fixed.
curl --request POST \
--url https://app.cryptoprocessing.com/api/v2/exchange/calculate \
--header 'Content-Type: application/json' \
--header 'X-Processing-Key: <api-key>' \
--header 'X-Processing-Signature: <x-processing-signature>' \
--data '
{
"sender_currency": "BTC",
"receiver_currency": "EUR",
"sender_amount": 0.02
}
'{
"data": {
"sender_currency": "BTC",
"sender_amount": "0.02000000",
"receiver_currency": "EUR",
"receiver_amount": "1546.28528889",
"fee_currency": "BTC",
"fee_amount": "0.00100000",
"price": "77314.26444450",
"ts_fixed": 1775172819,
"ts_release": 1775172879,
"fix_period": 60
}
}Hex-encoded HMAC-SHA512 signature of the request body, generated using your secret key.
Currency to exchange from. For a list of all available currencies, see API currency codes.
Currency to exchange to. For a list of all available currencies, see API currency codes.
Amount to send. You must include either this parameter or receiver_amount.
Amount to receive. You must include either this parameter or sender_amount.
OK
Show child attributes